---
home: true
icon: home
title: 蓝莓派
heroImage: /blueberry.png
heroText: Blueberry Pi
tagline: 蓝莓派，基于 <a target="_blank" href="https://github.com/YuzukiHD/YuzukiChameleon">Yuzuki Chameleon</a>二次开发。
copyright: Copyright © 2019 - 2024 AIXIAO.ME All Rights Reserved
footer: 使用 <a href="https://theme-hope.vuejs.press/zh/" target="_blank">VuePress Theme Hope</a> 主题
---

修改SCH原理图WiFi模块，替换为RTL8189ES。
修改PCB适用与RTL8189ES。
## 特点

* 基于全志 H616 芯片，4*Cortex A53
* HDMI支持4K@60，支持最大 6K 视频解码
* 最大 2GB 内存与 128GB eMMC 储存
* 板载eMMC与TF卡槽
* 板载 RTL8189ES WIFI芯片
* 4个USB TypeC，3个HOST 一个 OTG，支持USB摄像头与采集卡输入
* 板载风扇槽，散热器固定孔
* 引出 RJ45 百兆接口 
* 板载 40 Pin GPIO，可以扩展 SPI LCD 显示屏，千兆以太网，麦克风阵列，CAN收发器，温湿度传感器，加速度传感器等等。
* AXP313A 电源方案

## Allwinner H616
H616是全志科技为用户提供的新一代高画质64位4K@60fps解码SoC，适用于OTT和IPTV市场。它集成了四核64位CortexTM-A53处理器和全新的G31 GPU，支持OpenGL ES 3.2/Vulkan 1.1的ARM引擎。

此外，H616还支持全格式4K@60fps 10位超高清视频解码，以及全志自主研发的SmartColor3.3TM图像增强引擎，杜比和DTS音频处理。H616采用了新一代功耗技术，比上一代降低20%的功耗。
## 布局图
![Allwinner H616](/assets/home/brief.png)

## 硬件资料
原理图 [SCH_blueberry_2023-11-09.pdf](https://blueberry.aixiao.me/HW/blueberry/SCH_blueberry_2023-11-09.pdf)

嘉立创EDA项目 [ProProject_blueberry_2023-11-09.epro](https://git.aixiao.me/aixiao/Blueberry/raw/branch/master/HW/blueberry/ProProject_blueberry_2023-11-09.epro)

BOM [BOM.xlsx](https://blueberry.aixiao.me/HW/blueberry/BOM.xlsx)

Gerber [Gerber_blueberry_2023-10-19.zip](https://blueberry.aixiao.me/HW/blueberry/Gerber_blueberry_2023-10-19.zip)

## 构建系统
Linux Kernel [https://github.com/niuyuling/linux](https://github.com/niuyuling/linux)

U-BOOT [https://github.com/niuyuling/u-boot](https://github.com/niuyuling/u-boot)

### 其他Linux发行版
如果想在其他的Linux发行版上进行构建，您需要进行以下额外的工作：

选择您喜欢的Linux发行版，并安装`Docker version 24.0.7`。
确保您的磁盘空间不少于`60G`，内存不少于`2G`。
按照`Docker`安装方法安装`Docker`。
如果选择使用官方的build构建系统，请下载补丁文件`blueberry.patch`
```                       
apt-get -y install git wget
git clone --depth=1 --branch=main https://github.com/armbian/build
wget https://git.aixiao.me/aixiao/Blueberry/raw/branch/master/SF/ArmDebian/blueberry.patch
cd build
git apply ../blueberry.patch # 打补丁
./compile.sh build BOARD=blueberry BRANCH=legacy BUILD_DESKTOP=no BUILD_MINIMAL=yes KERNEL_CONFIGURE=yes RELEASE=bookworm
```
                        
                    
如果使用build构建系统，是官方也非官方(二次修改)：

```
apt-get -y install git
git clone --depth=1 --branch=main https://git.aixiao.me/aixiao/build.git
cd build
./compile.sh build BOARD=blueberry BRANCH=legacy BUILD_DESKTOP=no BUILD_MINIMAL=yes KERNEL_CONFIGURE=yes RELEASE=bookworm
```

## 问题
目前未发现问题。

## 配件
RJ45口需要自行制作，百兆速率需要注意等长。

##### RJ45_SCH
![RJ45_SCH](/assets/home/rj45_sch.png)
##### RJ45_PCB
![RJ45_PCB](/assets/home/rj45_pcb.png)
##### RJ45_3D
![RJ45_3D](/assets/home/rj45_3d.png)